# stroke-house.R ##

# Performs the necessary time conversions of the 
# original data frame
stroke <- within( stroke, { died <- as.Date(died, format = "%d.%m.%Y")        
                            dstr <- as.Date(dstr, format = "%d.%m.%Y")        
                             end <- pmin( died, as.Date("1996-1-1"), na.rm=T )
                            dead <- !is.na(died) & died < as.date("1996-1-1") 
                          } )
# For convenience we transform dataes to fractions of calendar years
stroke <- cal.yr(stroke)
